Obtener la configuración de implementación

OBTENER /groups/{groupId}/apps/{appId}/deploy/config

Vea información sobre cómo su aplicación implementa los cambios.

Parámetros de path

Respuestas

  • 200 aplicación/json

    éxito

    Ocultar atributos de respuesta Mostrar los atributos de respuesta Objeto
    • ui_drafts_disabled booleano Requerido

      If true, every change made in the Admin UI deploys automatically on save. If false, changes are grouped into a deployment draft that you deploy separately.

    • automatic_deployment Objeto Requerido

      Configuración para métodos de implementación automática

      Hide automatic_deployment attributes Mostrar atributos de implementación automática Objeto
      • habilitado booleano

        If true, the app automatically deploys using the method defined for provider.

      • Proveedor string

        El tipo de implementación automática.

        El valor es github.

      • installation_ids array[string]

        The unique ID values of automatic deployment provider installations. For example, the id value of a GitHub app installation.

    • last_modified Número

      The time this configuration was last modified represented by the number of seconds since the UNIX epoch.

OBTENER /grupos/{groupId}/aplicaciones/{appId}/implementar/config
curl \
 --request GET 'https://services.cloud.mongodb.com/api/admin/v3.0/groups/{groupId}/apps/{appId}/deploy/config' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Ejemplos de respuestas (200)
{
  "ui_drafts_disabled": true,
  "automatic_deployment": {
    "enabled": true,
    "provider": "github",
    "installation_ids": [
      "string"
    ]
  },
  "last_modified": 42.0
}